Subject: Re: bug#13634: 24.2; trailing whitespace in calendar (enhancement)

From: Arun Persaud <[email-masked]>
Date: Wed, 06 Feb 2013 10:52:39 -0800

On 02/06/2013 10:38 AM, Eli Zaretskii wrote:
>> From: Glenn Morris <[email-masked]>
>> Date: Wed, 06 Feb 2013 13:03:36 -0500
>> Cc: [email-masked], Arun Persaud <[email-masked]>
>>
>> Bastien wrote:
>>
>>> `show-trailing-whitespace' globally to t.
>>
>> So don't do that then. Set it locally in find-file-hook, or unset it in
>> a calendar hook.
> 
> I agree.  Using show-trailing-whitespace in calendar doesn't make
> sense, since the buffer text there is generated by a program.

I agree that it doesn't make sense in principle, but it's also annoying
to have to add special hooks for special buffers and since the calendar
is generated, why not fix it there?

For all files that I use in emacs setting show-trailing-whitespace
globally makes sense (but that might just be me). The only buffer that
shows extra white space in my setting is the calendar, so I thought I
bring it up.

Arun